%global plugin_name pipeline-rest-api

Summary:    Defines REST endpoints for accessing Pipeline data
Name:       jenkins-plugin-%{plugin_name}
Version:    2.2
Release:    2%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/pipeline-stage-view-plugin/tree/master/rest-api
# This AltURL is both correct and wrong at the same time
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Stage+View+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-pipeline-graph-analysis
Requires:   jenkins-plugin-pipeline-input-step
Requires:   jenkins-plugin-pipeline-stage-step
Requires:   jenkins-plugin-workflow-api
Requires:   jenkins-plugin-workflow-aggregator
Requires:   jenkins-plugin-workflow-basic-steps
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-durable-task-step
Requires:   jenkins-plugin-workflow-job
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins >= 1.609.3

%description
This module is a Jenkins Plugin that defines REST endpoints 
for securely accessing Pipeline data that can then be used 
in the Pipeline Stage View.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.2-2
- Fix Requires

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.2-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.4-1
- Initial package
